# Creating/Editing Locales

To create your own language, start by making a JSON file inside the `locales/` folder. The file name will be used in the configuration to set the language.

{% code title="locales/en.json" %}

```json
{
    "game": {
        "notification": {
            "notify": "Market"
        },
        "shop": {
            "not_enough_money": "Not enough money",
            "not_enough_space": "Not enough space in inventory",
            "purchase_success": "Purchase successful",
            "purchase_failed": "Purchase failed",
            "purchase_failed_not_enough_money": "Not enough money",
            "purchase_failed_not_enough_space": "Not enough space in inventory",
            "invalid_shop": "Invalid shop.",
            "invalid_category": "Invalid category.",
            "invalid_item": "Invalid item.",
            "invalid_price": "Invalid price.",
            "item_category_mismatch": "Item does not belong to this category.",
            "shop_disabled": "This shop is currently disabled."
        }
    },
    "ui": {
        "sold": "Sold",
        "cash": "CASH",
        "card": "CARD",
        "exit": "EXIT",
        "bank": "BANK"
    }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kojascripts.eu/new/shops/guides/creating-editing-locales.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
